<div class="p-formgrid grid">
  <div class="col-12">
    <p-card *ngIf="event">
      <table>
        <thead>
          <tr>
            <th class="table-header" colspan="2">Event: {{ event.title }}</th>
          </tr>
        </thead>
        <tbody>
          <tr>
            <td>Bild:</td>
            <td>
              @if (event.image) {
              <img [src]="event.image | image : true" [alt]="altDescription" />
              <p *ngIf="event.image.copyright" class="m-0">
                &copy; {{ event.image.copyright }}
              </p>
              } @else { Nicht vorhanden }
            </td>
          </tr>
          <tr>
            <td>Titel:</td>
            <td>{{ event.title }}</td>
          </tr>
          <tr>
            <td>Untertitel:</td>
            <td>{{ event.subTitle ?? '-' }}</td>
          </tr>
          <tr>
            <td>Geändert am:</td>
            <td *ngIf="event.dateModified">
              {{ event.dateModified | date : 'medium' }}
            </td>
            <td *ngIf="!event.dateModified">-</td>
          </tr>
          <tr>
            <td>Termine:</td>
            <td>
              <ul>
                <li *ngFor="let occurrence of event.occurrences">
                  {{ occurrence.start | date : 'medium' }} -
                  {{ occurrence.end | date : 'medium' }}
                </li>
              </ul>
            </td>
          </tr>
          <tr>
            <td>Adresse:</td>
            <td>
              <p *ngIf="event.address.locationName" class="m-0">
                {{ event.address.locationName }}
              </p>
              <p *ngIf="event.address.street" class="m-0">
                {{ event.address.street }}
              </p>
              <p
                *ngIf="event.address.postalCode || event.address.city"
                class="m-0"
              >
                {{ event.address.postalCode }} {{ event.address.city }}
              </p>
              @if (event.address.coordinates) {
              <a
                [href]="generateGoogleMapsUrl(event.address)"
                [title]="event.address.locationName"
                target="_blank"
                >Link zu Google Maps</a
              >
              }
            </td>
          </tr>
          <tr>
            <td>Kontakt:</td>
            <td>
              <p *ngIf="event.contactPoint.email" class="m-0">
                E-Mail Adresse: {{ event.contactPoint.email }}
              </p>
              <p *ngIf="event.contactPoint.telephone" class="m-0">
                Telefonnummer: {{ event.contactPoint.telephone }}
              </p>
            </td>
          </tr>
          <tr>
            <td>Kategorien:</td>
            <td>
              <ul>
                <li *ngFor="let category of event.categories">
                  {{ category }}
                </li>
              </ul>
            </td>
          </tr>
          <tr>
            <td>Beschreibung:</td>
            <td class="prewrap">{{ event.description }}</td>
          </tr>
        </tbody>
      </table>
    </p-card>
  </div>
</div>
